---
title: 仮説検定
tags: [note, study, statistics]
---

## 概要
- 仮説検定とは，母集団の母数に関する帰無仮説について，棄却/受容を標本から客観的に判定する手続き
- 有意確率とは，帰無仮説が真だった場合に誤って棄却する確率である
- 仮説検定において，有意確率が事前に定めた有意水準よりも小さかった場合，帰無仮説を棄却する

## 検定手順
1. 帰無仮説を仮定する
2. 帰無仮説のもとで検定したい事象が発生する確率$p$を求める
3. $p$が事前に定めた有意水準よりも小さいならば，帰無仮説を棄却する

## 結論に生じうる誤り
- 第一種の誤り: 帰無仮説が正しい，かつ，帰無仮説を棄却してしまう
	- 発生確率=有意確率
	- 発生確率を設定できる
- 第二種の誤り: 帰無仮説が誤っている，かつ，帰無仮説を受容してしまう
	- 発生確率は不明
	- 発生確率を設定できない
- 有意水準を小さくすることで第一種の誤りは起こりにくくなるが，第二種の誤りが起こりやすくなる（トレードオフ）
	- 大体の場合で5%
	- 第一種の誤りが許されない場面（医療など）では1%

## 例
- コイントスを10回やって7回表が出た．コイントスは公平か？
	- 7回表が出る確率は$\frac{1}{2^{10}} \cdot {}_{10} \mathrm{C}_7=0.12$
	- $0.12>0.10$より有意水準10%で帰無仮説は棄却されない
		- コイントスは**公平である**
		- 12%で起こりうることが起きた，帰無仮説が正しい場合は普通のこと，つまり，帰無仮説は正しい
		- この結論は第二種の誤りである可能性がある
	- $0.12<0.15$より有意水準15%で帰無仮説は棄却される
		- コイントスは**公平でない**
		- 12%で起こりうることが起きた，帰無仮説が正しい場合は奇跡に近い，つまり，帰無仮説は間違いだ
		- この結論は12%の確率で第一種の誤りである可能性がある

## 注意点
- 自分の望む結果を得るために，検定の途中で有意水準を作為的に操作してはならない
	- 有意水準は必ず有意確率を求める前に定めなければならない